// レコードを取得する条件を設定
const body1 = {
  'app': kintone.app.getId(),
  'fields': ['レコード番号', '販売年月日', '商品名', '数量', '販売金額'],
  'query': '販売年月日 >= "2023-01-01" order by 販売年月日 asc, 商品名 asc',
  'size': 500
};

// レコード取得用のカーソルを作成
kintone.api(kintone.api.url('/k/v1/records/cursor.json', true), 'POST', body1, (resp1) => {
  // success
  // コンソールにレスポンスを表示
  console.log(resp1);
  const body2 = {
    'id': resp1.id
  };

  // カーソルからレコードを取得
  kintone.api(kintone.api.url('/k/v1/records/cursor.json', true), 'GET', body2, (resp2) => {
    // success
    // コンソールにレスポンスを表示
    console.log(resp2);
  }, (error) => {
    // error
    console.log(error);
  });
}, (error) => {
  // error
  console.log(error);
});
