(() => {
  'use strict';
  kintone.events.on('app.record.index.show', async (event) => {
    // クライアントの作成
    const client = new KintoneRestAPIClient();

    // リクエストパラメータの設定
    const APP_ID = kintone.app.getId();
    const RECORD_ID = 1;
    const params = {
      app: APP_ID,
      id: RECORD_ID
    };

    // レコードの取得
    try {
      const resp = await client.record.getRecord(params);
      const record = resp.record;
      console.log(record);
    } catch (error) {
      console.log(error);
    }
  });
})();