(() => {
  'use strict';

  // =============================================
  // 複数レコード登録
  // =============================================
  kintone.events.on('app.record.create.submit', async (event) => {
    // パラメータ配列
    const params = {
      app: 8,
      records: [
        {
          項目x: {
            value: 'あいうえお',
          },
          項目y: {
            value: 100,
          },
          項目z: {
            value: 'あいうえおあいうえおあいうえおあいうえおあいうえお',
          },
        },
        {
          項目x: {
            value: 'かきくけこ',
          },
          項目y: {
            value: 200,
          },
          項目z: {
            value: 'かきくけこかきくけこかきくけこかきくけこかきくけこ',
          },
        },
        {
          項目x: {
            value: 'さしすせそ',
          },
          項目y: {
            value: 300,
          },
          項目z: {
            value: 'さしすせそさしすせそさしすせそさしすせそさしすせそ',
          },
        },
      ],
    };
    try {
      await kintone.api(kintone.api.url('/k/v1/records', true), 'POST', params);
      // 成功時
      return event;
    } catch (error) {
      // エラー時
      if (error.message !== undefined) {
        console.log(error.message);
      }
      event.error = 'エラーが発生しました！';
      return event;
    }
  });
})();
